Skip to content
Hoursmith Docs
APIReferenceTasks

Edit a comment

Edit a comment. The comment's author only. 404 when the comment is not on this task. Plan: Studio or Agency (API access). Scope: write.

PATCH
/tasks/{id}/comments/{commentId}

Authorization

BearerAuth
AuthorizationBearer <token>

Personal Access Token. Mint at Settings → API. Token shape: hsk_<env>_<prefix12>_<secret32>.

In: header

Path Parameters

id*string

Task UUID.

commentId*string

Comment UUID on this task.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Exactly one of body or bodyHtml. Existing attachments are always kept. Editing sends no notifications.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8",    "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",    "authorId": "ee6f7132-bd0a-4fcd-83b3-a8022377067b",    "authorName": "string",    "bodyText": "string",    "bodyHtml": "string",    "mentions": [      "777c52f7-3433-49cb-b0a3-cd6473c2c951"    ],    "attachments": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "contentType": "string",        "sizeBytes": 0      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "editedAt": "2019-08-24T14:15:22Z"  },  "warnings": [    "string"  ]}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
{  "error": {    "code": "unauthenticated",    "message": "string",    "fields": {      "property1": "string",      "property2": "string"    },    "requiredPlan": "studio",    "feature": "string",    "requestId": "string"  }}
Was this page helpful?